%define upstream_name    Math-Round
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Round numbers in different ways
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Math::Round supplies functions that will round numbers in different ways.
The functions round and nearest are exported by default; others are available
as described below. "use ... qw(:all)" exports all functions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files 
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Math
%{_mandir}/*/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.80.0-2.mga10
+ Revision: 2219883
- Mageia 10 Mass Rebuild

* Sat Oct 28 2023 tv <tv> 0.80.0-1.mga10
+ Revision: 2002502
- update to 0.08

* Sun Mar 20 2022 umeabot <umeabot> 0.70.0-6.mga9
+ Revision: 1804459
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.70.0-5.mga8
+ Revision: 1495582
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.70.0-4.mga7
+ Revision: 1269240
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.70.0-3.mga6
+ Revision: 1029805
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.70.0-2.mga6
+ Revision: 965868
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 0.70.0-1.mga6
+ Revision: 838620
- update to 0.07

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-5.mga5
+ Revision: 739923
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-4.mga5
+ Revision: 685380
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.60.0-3.mga4
+ Revision: 512871
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 369674
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 26566
- mageia rebuild
- imported package perl-Math-Round


* Wed Oct 14 2009 Colin Guthrie <cguthrie@mandriva.org> 0.60.0-1mdv2010.0
+ Revision: 457246
- Remove . from summary
- import perl-Math-Round

